package pack

import (
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpSpecialTaskLinkListRequestToCondition(req *http_model.SpecialTaskLinkListRequest) *common_model.TalentConditions {
	return &common_model.TalentConditions{
		ProjectId:        req.ProjectId,
		LinkStatus:       conv.MustInt64(req.LinkStatus),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
